### Method

# Foundry LlmManager list_tools

#### Declaration [src]

    DexFuture*
    foundry_llm_manager_list_tools (
      FoundryLlmManager* self
    )

#### Description [src]

The resulting `GListModel` is asynchronously populated. If you want to be sure that all providers have completed populating, you may await completion by calling `foundry_list_model_await()`.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `GListModel` of `FoundryLlmTool`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.